/**
 * @author Zorica Dudarin
 *
 */
public class ListAttribute {
	private int status = -1;
	private String style = "";
	private int paragraphNo = 0;
	private String bullet = "";
		   
	public ListAttribute(int status, String style) {
	   this.status = status;
	   this.style = style;
	}

	public int getStatus() {
	   return status;
	}
		   
	public void setStatus(int status) {
	   this.status = status;
	}
	
	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}

	public int getParagraphNo() {
		return paragraphNo;
	}

	public void setParagraphNo(int paragraphNo) {
	   this.paragraphNo = paragraphNo;
	}
	
	public String getBullet() {
		return bullet;
	}

	public void setBullet(String style) {
		if (style.equals("dash"))
			bullet = " - ";
		else if (style.equals("star"))
			bullet = " * ";
		else if (style.equals("number"))
			bullet = " " + paragraphNo + ". ";
		else if (style.equals("letter")) {
			int no = paragraphNo;
			int i = 1;
						
			while (no - 26 > 0) {
				i ++;
				no -= 26;
			}
			
			Character c = new Character((char)(96 + no));
			bullet = "";
			for (int j = 0; j < i; j++)
				bullet += c;
			bullet += ". ";
		} else {
			bullet = "";
		}
	} 
	
	public int getBulletLength() {
		return bullet.length();
	}
}
